#pragma once

#include <string>

namespace Deflate
{
    enum class CompressionMethod
    {
        NONE,
        FIXED_HUFFMAN,
        DYNAMIC_HUFFMAN,
        ERROR
    };

    inline std::string toString(CompressionMethod method)
    {
        switch (method)
        {
        case CompressionMethod::NONE:
                return "NONE";
        case CompressionMethod::FIXED_HUFFMAN:
                return "FIXED_HUFFMAN";
        case CompressionMethod::DYNAMIC_HUFFMAN:
                return "DYNAMIC_HUFFMAN";
        case CompressionMethod::ERROR:
                return "ERROR";
        default:
            return "UNKNOWN";
        }
    }


}
